Cazana

Spec

A vehicle's full technical specification: engine, performance, dimensions and weights. Gross and kerb weights are returned for commercial vehicles only.

GET/spec/1.2

Authorization

Query parameters

string
optional

VRM to search (required if `vin` not supplied)

string
optional

VIN to search (required if `vrm` not supplied)

Query parameters

vrm?string

VRM to search (required if `vin` not supplied)

vin?string

VIN to search (required if `vrm` not supplied)

Responses

application/json
{
  "spec": {
    "bodyStyle": "Coupe",
    "bore": 76,
    "builtFrom": "2012-04-01 00:00:00",
    "builtTo": "2013-12-31 00:00:00",
    "cid": 4319,
    "co2Emissions": 139,
    "co2EmissionsGKm": 139,
    "colour": "Silver",
    "colourCode": "P",
    "combinedMpg": 53.3,
    "cylinderLayout": null,
    "dateLastColourChange": "2012-04-01",
    "derivative": "AMG Sport Plus",
    "description": "C250 AMG Sport Plus BlueEFFICIENCY CDI 2.2L 201bhp Automatic Diesel Coupe 2dr",
    "doors": 2,
    "engineCapacity": 2143,
    "engineNumber": "DEUA014868",
    "enginePosition": null,
    "extraUrbanMpg": 57.7,
    "fuelDelivery": "Turbo",
    "fuelType": "Diesel",
    "gears": 7,
    "grossWeight": 2130,
    "imported": false,
    "kerbWeight": 1660,
    "make": "Mercedes-Benz",
    "marketSectorLineShorthand": "AA",
    "model": "C Class Coupe",
    "numberCylinders": 4,
    "numberOfPreviousColours": null,
    "numberValves": 16,
    "originalColourCode": "P",
    "powerOutputBhp": 201,
    "powerOutputKw": 150,
    "scrapped": false,
    "seats": 4,
    "soundLevelEngineSpeed": 3000,
    "soundLevelStationary": 71,
    "steeringPosition": "Right Hand Drive",
    "stroke": 88,
    "transmission": "Semi Automatic",
    "type": "Car",
    "urbanColdMpg": 47.1,
    "wheelPlan": "2 AXLE RIGID BODY",
    "wheelbase": 2760,
    "wheelbaseType": "Short Wheelbase",
    "year": 2013,
    "yearlyTaxCost": 190
  }
}
spec?

Code samples

curl --request GET \
  --url 'https://api.cazana.com/spec/1.2?vrm=AB12CDE&vin=SALGA2BU8HA000000' \
  --header 'Authorization: bearer YOUR_API_KEY'